import { AuthClient, AuthHeader } from "./types";
export declare type OAuth2Scopes = "tweet.read" | "tweet.write" | "tweet.moderate.write" | "users.read" | "follows.read" | "follows.write" | "offline.access" | "space.read" | "mute.read" | "mute.write" | "like.read" | "like.write" | "list.read" | "list.write" | "block.read" | "block.write";
export declare type OAuth2UserOptions = {
    client_id: string;
    client_secret: string;
    callback: string;
    scopes: OAuth2Scopes[];
};
export declare class OAuth2User implements AuthClient {
    #private;
    token_type?: string;
    expires_at?: Date;
    scope?: string;
    refresh_token?: string;
    constructor(configuration: OAuth2UserOptions);
    refreshAccessToken(): Promise<void>;
    updateToken(data: Record<string, any>): void;
    isAccessTokenExpired(): boolean;
    requestAccessToken(code?: string): Promise<void>;
    revokeAccessToken(): Promise<any>;
    generateAuthURL(options: {
        state: string;
        code_challenge: string;
        code_challenge_method?: "plain";
    } | {
        state: string;
        code_challenge_method: "s256";
    }): string;
    getAuthHeader(): Promise<AuthHeader>;
}
